define([
    "utils",
    "../media/config",
    "../media/mediaSet",
    "../media/mediaLogin",
    "dialog",
    "captcha"], function (utils, config, mediaSet, login,dialogFactory,captcha) {
    var apiUrl = config.url;

    function lightenGift() {
        utils._jsonP({
            url: apiUrl.getTaskProgress,
            data: {
                category: mediaSet.category
            }
        }, function (res) {
            var list = res.list;
            var lighten_gifts = $(".lighten_gift ul li");
            var totalNum = 0;
            for (var i = 0; i < list.length; i++) {
                if (+list[i] === 1) {
                    lighten_gifts.eq(i).addClass("active");
                    totalNum++;
                }
            }

            if (totalNum === 0) {
                SQ.alert("亲爱的玩家，试玩游戏才能点亮图标哦，一分钟点亮2个，么么哒！");
            }

            if (totalNum > 0 && totalNum < 7) {
                setTimeout(function(){
                    SQ.alert("亲爱的玩家，图标还没有全部点亮，再玩一会儿游戏吧！");
                },100);
            }

            if (totalNum === 7) {
                $(".click_get").addClass("active");
                setTimeout(function(){
                    SQ.alert("亲爱的玩家，您可以领取礼包啦！");
                },100);

            }
        });
    }

    $(document).on("click", ".start_game", function (e) {
        if (login.hasLogin()) {
            utils._jsonP({
                url: apiUrl.recordStart,
                data: {
                    category: mediaSet.category
                }
            }, function (res) {
                if (res && +res.result === 1) {
                } else {
                    SQ.alert(res.msg);
                }
            });
        } else {
            e.preventDefault();
            login.dialog.show(0);
        }
    })
        .on("click", ".click_get", function () {
            if (!login.hasLogin()) {
                login.dialog.show(0);
                return;
            }

            if ($(this).hasClass("active")) {
                captcha.show(function(){
                    utils._jsonP({
                        url: apiUrl.getGift,
                        data: {
                            category: mediaSet.category,
                            captcha:$("#captchaCode").val()
                        }
                    }, function (res) {

                        if (res && +res.result === 1) {
                            var dialog = dialogFactory({
                                title: "信息提示",
                                content: SQ.T($("#dialog1").html()),
                                width: 480,
                                buttons: {
                                    "进入游戏": function (text, dialog) {
                                        // text 是文字，比如这里是 "确定"
                                        // dialog 就是该弹窗的实例，可以调用上面的方法，比如
                                        dialog.hide();
                                    }
                                }
                            });
                            dialog.bind("show",function(){
                                $("#code").val(res.list.CARD_NUM);
                                $("#copy").attr("data-clipboard-text", res.list.CARD_NUM);
                                $("#copy").removeClass("disabled");
                                SQ.clip(SQ.byId("copy"));
                            });
                            dialog.show();

                            setTimeout(function(){

                            });
                        } else {
                            SQ.alert(res.msg);
                        }
                    });
                });
            } else {
                SQ.alert("您还没有点亮所有道具，玩一会游戏再来吧");
            }
        })
        .on("click", ".lighten_gift ul li", function () {

            if (!login.hasLogin()) {
                login.dialog.show(0);
                return;
            }

            if (!$(this).hasClass("active")) {
                lightenGift();
            }
        });
});
